org.apache.sysds.hops

## Class MultiThreadedHop

- java.lang.Object
- - org.apache.sysds.hops.Hop
  - - org.apache.sysds.hops.MultiThreadedHop

- All Implemented Interfaces:
    ParseInfo
  Direct Known Subclasses:
    AggBinaryOp, AggUnaryOp, BinaryOp, DataGenOp, DnnOp, ParameterizedBuiltinOp, QuaternaryOp, ReorgOp, SpoofFusedOp, TernaryOp, UnaryOp

      public abstract class MultiThreadedHop
      extends Hop

  Optional hop interface, to be implemented by multi-threaded hops.

- - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.hops.Hop

      `_beginColumn, _beginLine, _endColumn, _endLine, _filename, _text, CPThreshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiThreadedHop()`
    `MultiThreadedHop(String name, Types.DataType dt, Types.ValueType vt)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxNumThreads()`
    `abstract boolean` | `isMultiThreadedOpType()`
    `void` | `setMaxNumThreads(int k)`

    - ### Methods inherited from class org.apache.sysds.hops.Hop

      `addAllInputs, addInput, allowsAllExecTypes, checkAndSetForcedPlatform, checkAndSetInvalidCPDimsAndSize, checkArity, clearMemEstimate, clone, colsKnown, compare, compressedSize, computeBoundsInformation, computeBoundsInformation, computeBoundsInformation, computeMemEstimate, computeSizeInformation, computeSizeInformation, computeSizeInformation, constructAndSetLopsDataFlowProperties, constructLops, createOffsetLop, dimsKnown, dimsKnown, dimsKnownAny, getBeginColumn, getBeginLine, getBlocksize, getCompressedSize, getDataCharacteristics, getDataType, getDim, getDim1, getDim2, getEndColumn, getEndLine, getExecType, getFilename, getForcedExecType, getHopID, getInput, getInput, getInputMemEstimate, getInputOutputSize, getIntermediateMemEstimate, getLength, getLops, getMemEstimate, getName, getNnz, getOpString, getOutputMemEstimate, getParent, getPrivacy, getSparsity, getSpBroadcastSize, getText, getUpdateType, getValueType, hasCompressedInput, hasFederatedOutput, hasMatrixInputWithDifferentBlocksizes, hasValidCPDimsAndSize, isCompressedOutput, isFederated, isFederatedOutput, isGPUEnabled, isMatrix, isMemEstimated, isOutputEmptyBlocks, isRequiredDecompression, isScalar, isTransposeSafe, isVisited, printErrorLocation, refreshColsParameterInformation, refreshColsParameterInformation, refreshMemEstimates, refreshRowsParameterInformation, refreshRowsParameterInformation, refreshSizeInformation, requiresCheckpoint, requiresCompression, requiresLineageCaching, requiresReblock, requiresRecompile, resetExecType, resetRecompilationFlag, resetRecompilationFlag, resetVisitStatus, resetVisitStatus, resetVisitStatus, resetVisitStatusForced, rowsKnown, setBeginColumn, setBeginLine, setBlocksize, setCompressedOutput, setCompressedSize, setDataType, setDim, setDim1, setDim2, setEndColumn, setEndLine, setExecType, setFederatedOutput, setFilename, setForcedExecType, setLops, setMemEstimate, setName, setNnz, setOutputEmptyBlocks, setParseInfo, setPrivacy, setRequiresCheckpoint, setRequiresCompression, setRequiresCompression, setRequiresDeCompression, setRequiresLineageCaching, setRequiresReblock, setRequiresRecompile, setText, setUpdateType, setValueType, setVisited, setVisited, someInputFederated, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.parser.ParseInfo

      `ctxAndFilenameToParseInfo`

- - ### Constructor Detail

    - #### MultiThreadedHop

          public MultiThreadedHop()

    - #### MultiThreadedHop

          public MultiThreadedHop(String name,
                                  Types.DataType dt,
                                  Types.ValueType vt)

  - ### Method Detail

    - #### setMaxNumThreads

          public final void setMaxNumThreads(int k)

    - #### getMaxNumThreads

          public final int getMaxNumThreads()

    - #### isMultiThreadedOpType

          public abstract boolean isMultiThreadedOpType()

Copyright © 2021 The Apache Software Foundation. All rights reserved.